---
title: MediaKeySystemAccess
slug: Web/API/MediaKeySystemAccess
tags:
  - API
  - Audio
  - EncryptedMediaExtensions
  - Interface
  - Media
  - MediaKeySystemAccess
  - NeedsExample
  - Reference
  - Référence(2)
  - Video
---
<p>{{APIRef("EncryptedMediaExtensions")}}{{SeeCompatTable}}</p>

<p>The <code><strong>MediaKeySystemAccess</strong></code> interface of the <a href="/en-US/docs/Web/API/EncryptedMediaExtensions_API">EncryptedMediaExtensions API</a> provides access to a Key System for decryption and/or a content protection provider. You can request an instance of this object using the {{domxref("Navigator.requestMediaKeySystemAccess","Navigator.requestMediaKeySystemAccess()")}} method.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("MediaKeySystemAccess.keySystem")}} {{readonlyinline}}</dt>
 <dd>Returns a {{domxref('DOMString')}} identifying the key system being used.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<dl>
 <dt>{{domxref("MediaKeySystemAccess.createMediaKeys()")}}</dt>
 <dd>Returns a {{jsxref('Promise')}} that resolves to a new {{domxref("MediaKeys")}} object.</dd>
 <dt>{{domxref("MediaKeySystemAccess.getConfiguration()")}}</dt>
 <dd>Returns a {{domxref("MediaKeySystemConfiguration")}} object with the supported combination of configuration options.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('EME', '#mediakeysystemaccess-interface', 'MediaKeySystemAccess')}}</td>
   <td>{{Spec2('EME')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.MediaKeySystemAccess")}}</p>
</div>
